from django.conf.urls.defaults import *
from ldt.management import test_ldt

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('ldt.text',
    url(r'^create/$', 'views.create_annotation'),
    url(r'^filter/(?P<uri>.*)/(?P<filter>.*)/(?P<limit>.*)/(?P<creator>.*)$', 'views.filter_annotation'),
    url(r'^filter/(?P<uri>.*)/(?P<filter>.*)/(?P<limit>.*)$', 'views.filter_annotation'),
    url(r'^filter/(?P<uri>.*)/(?P<filter>.*)/(?P<creator>.*)$', 'views.filter_annotation'),
    url(r'^filter/(?P<uri>.*)/(?P<limit>.*)/(?P<creator>.*)$', 'views.filter_annotation'),
    url(r'^filter/(?P<uri>.*)/(?P<limit>.*)$', 'views.filter_annotation'),
    url(r'^filter/(?P<uri>.*)/(?P<creator>.*)$', 'views.filter_annotation'),
    url(r'^filter/(?P<uri>.*)$', 'views.filter_annotation'),
    url(r'^get/(?P<id>.*)$', 'views.get_annotation'),
    url(r'^delete/$', 'views.delete_annotation'),
    url(r'^update/$', 'views.update_annotation'),
)